> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nuvion.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Bank Codes

> Retrieve bank codes.

This endpoint allows you to retrieve a list of bank codes. Bank codes are used to identify banks and financial institutions in various countries. They are essential for processing payments and transfers.

## Bank Code

<CodeGroup>
  ```bash curl theme={null}
  curl https://api.nuvion.dev/bank-codes/:country \
    -H "Authorization: Bearer $NUVION_API_KEY"
  ```
</CodeGroup>

## Request Parameters

<ResponseField name="country" type="string">
  ISO 3166-1 alpha-2 country code to filter bank codes by country
</ResponseField>

## Response

<CodeGroup>
  ```json 200 OK lines icon="circle-check" expandable theme={null}
  {
      "status": "success",
      "message": "Bank codes retrieved successfully",
      "data": [
          {
              "bank_code": "120001",
              "bank_name": "9 Payment Service Bank",
              "swift_bic": "IPSBNGLA"
          },
          {
              "bank_code": "090270",
              "bank_name": "AB Microfinance Bank",
              "swift_bic": null
          },
          {
              "bank_code": "090260",
              "bank_name": "Above Only Microfinance Bank",
              "swift_bic": null
          }
      ]
  }
  ```
</CodeGroup>

<CodeGroup>
  ```json 400-500 lines icon="circle-check" expandable theme={null}
  {
      "status": "error",
      "message": "Validation failed for one or more fields",
      "errors": [
          {
              "field": "country",
              "message": "The 'country'field must be no more than 2 characters long. Please update it and try again."
          }
      ]
  }
  ```
</CodeGroup>
